PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::SegmentSet< DIR, Compare > Struct Template Reference
Inheritance diagram for plask::SegmentSet< DIR, Compare >:
[legend]
Collaboration diagram for plask::SegmentSet< DIR, Compare >:
[legend]

## Public Member Functions
| SegmentSet ()=default
| SegmentSet (const SegmentSetMember< DIR, Compare > &to_append)
| SegmentSet (const TriangularMesh2D &mesh, const TriangularMesh2D::Segment &segment)
SegmentSet & | operator+= (const SegmentSet &right)
bool | operator== (const SegmentSet &other) const
bool | dominates (const TriangularMesh2D &mesh, const Vec< 2, double > &point) const

## Detailed Description

template<int DIR, template< class > class Compare = std::less>
struct plask::SegmentSet< DIR, Compare >

Definition at line 254 of file triangular2d.cpp.

## Constructor & Destructor Documentation

## ◆ SegmentSet() [1/3]

template<int DIR, template< class > class Compare = std::less>

plask::SegmentSet< DIR, Compare >::SegmentSet | ( |  | ) |
| default

## ◆ SegmentSet() [2/3]

template<int DIR, template< class > class Compare = std::less>

plask::SegmentSet< DIR, Compare >::SegmentSet | ( | const SegmentSetMember< DIR, Compare > & | to_append | ) |
| inline

Definition at line 257 of file triangular2d.cpp.

## ◆ SegmentSet() [3/3]

template<int DIR, template< class > class Compare = std::less>

plask::SegmentSet< DIR, Compare >::SegmentSet | ( | const TriangularMesh2D & | mesh,
|  | const TriangularMesh2D::Segment & | segment
| ) |  |
| inline

Definition at line 260 of file triangular2d.cpp.

## Member Function Documentation

## ◆ dominates()

template<int DIR, template< class > class Compare = std::less>

bool plask::SegmentSet< DIR, Compare >::dominates | ( | const TriangularMesh2D & | mesh,
|  | const Vec< 2, double > & | point
| ) |  | const
| inline

Definition at line 280 of file triangular2d.cpp.

## ◆ operator+=()

template<int DIR, template< class > class Compare = std::less>

SegmentSet & plask::SegmentSet< DIR, Compare >::operator+= | ( | const SegmentSet< DIR, Compare > & | right | ) |
| inline

Definition at line 263 of file triangular2d.cpp.

## ◆ operator==()

template<int DIR, template< class > class Compare = std::less>

bool plask::SegmentSet< DIR, Compare >::operator== | ( | const SegmentSet< DIR, Compare > & | other | ) | const
| inline

Definition at line 275 of file triangular2d.cpp.

The documentation for this struct was generated from the following file:

- plask/mesh/triangular2d.cpp